# yaml
version: '3.8'

services:
  chore-app-backend:
    image: devserver.lan:5900/chore-app-backend:production
    container_name: chore-app-backend
    restart: unless-stopped
    expose:
      - "5000"
    networks:
      - chore-app-net
    volumes:
      - chore-app-backend-data:/app/data  # persists backend data

  chore-app-frontend:
    image: devserver.lan:5900/chore-app-frontend:production
    container_name: chore-app-frontend
    restart: unless-stopped
    ports:
      - "4600:443"
    networks:
      - chore-app-net

networks:
  chore-app-net:
    driver: bridge

volumes:
  chore-app-backend-data: {}